﻿Option Strict On
Imports System.Device.Location
Imports Microsoft.Phone.Controls.Maps

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' コンストラクター
    Public Sub New()
        InitializeComponent()
    End Sub

    Dim myGeoCoordiWatcher As New GeoCoordinateWatcher
    Private Sub MainPage_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Map1.ZoomLevel = 10
        AddHandler myGeoCoordiWatcher.PositionChanged, Sub(geoSender As Object, geoArgs As GeoPositionChangedEventArgs(Of GeoCoordinate))
                                                           Deployment.Current.Dispatcher.BeginInvoke(Sub() myPositionChanged(geoArgs))
                                                       End Sub
        myGeoCoordiWatcher.Start()
    End Sub

    Private Sub myPositionChanged(myPosition As GeoPositionChangedEventArgs(Of GeoCoordinate))
        Map1.Children.Clear()
        Dim myLatitude As Double = myPosition.Position.Location.Latitude
        Dim myLongitude As Double = myPosition.Position.Location.Longitude

        Map1.Center = New GeoCoordinate(myLatitude, myLongitude)

        Dim myPin As New Pushpin
        myPin.Location = New GeoCoordinate(myLatitude, myLongitude)
        myPin.Content = myLatitude.ToString & "-" & myLongitude
        Map1.Children.Add(myPin)
    End Sub


    Private Sub MainPage_Unloaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Unloaded
        myGeoCoordiWatcher.Stop()
        myGeoCoordiWatcher = Nothing
    End Sub

    Private Sub Button1_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Select Case Button1.Content.ToString
            Case "航空写真"
                Map1.Mode = New AerialMode
                Button1.Content = "道路表示"
            Case "道路表示"
                Map1.Mode = New RoadMode
                Button1.Content = "航空写真"
        End Select

    End Sub

End Class
